# Best result is visually good, but audibly a lot of noise.

evolutionary_algorithm:
  early_stopping: 1000
  fitness_function:
    distance: l1
    feature: mel_db
  generation_count: 300
  genetic_programming:
    tree_depth:
      initial:
        max: 3
        min: 1
      max: 17
  operators:
    crossover:
    - one_point
    - merge
    - merge_arithmetic
    crossover_probability: 0.1
    mutation:
    - uniform
    - shrink
    - replace
    - insert
    - layer_weighted
    - ephemeral
    mutation_probability: 0.45
  population_size: 500
  selection:
    fitness_tournament_size: 7
    hall_of_fame_size: 5
    scheme: rank_double_tournament
    size_tournament_size: 1.4000000000000001
jax:
  lifetime_learning:
    gradient_descent_steps: 200
    individual_count: 10
    initial_learning_rate: 5e-4
  parameter_count: 5
  simulated_binary_crossover_eta: 2
  use_jax_implementation: false
log_mode: tune
multi_objective:
  helper_objective: mfcc
  nd_rank_double_tournament_selection: false
  zero_crossings_histogram_bin_count: 90
supercollider:
  eph_mode: one
target_audio:
  name: synthetic/multiple_oscillations
  sample_rate: 44100